Bug 108803 - MSN: Provide a link for MSN service availability
Summary: MSN: Provide a link for MSN service availability
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Unclassified
Component: MSN Plugin (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-09 10:34 UTC by Alex Argiropoulos
Modified: 2008-07-20 19:35 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch adds a link to MSN service status site (3.83 KB, patch)
2005-07-10 15:18 UTC, Urs Wolfer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Argiropoulos 2005-07-09 10:34:45 UTC
Version:           0.10.90 >= 20050522 (using KDE 3.4.1, compiled sources)
Compiler:          gcc version 3.4.3 (Mandrakelinux 10.2 3.4.3-7mdk)
OS:                Linux (i686) release 2.6.11-6mdksmp

When the kopete can't sign-in to MSN and it thinks it's a 'Internal Server error' of some kind, then it would be nice to include in the messagebox the following link:

http://messenger.msn.com/Status.aspx

That would help users IMHO.

Thanks!
Comment 1 Gael Beaudoin 2005-07-09 12:58:54 UTC
I agree, would be nice :)
Comment 2 Urs Wolfer 2005-07-10 15:18:05 UTC
Created attachment 11741 [details]
Patch adds a link to MSN service status site

I had some free time, so I have written a patch for this wish. The patch adds a
link in the MSN-Action menu (where you can open your inbox, change your nick,
...). There's also a reference in the error message.

I hope I could help. :)
Comment 3 Urs Wolfer 2008-07-20 19:35:15 UTC
SVN commit 835489 by uwolfer:

Show link in error messages to check MSN server availability. Also provide an action in MSN account menu for that.
FEATURE:108803

 M  +10 -1     msnaccount.cpp  
 M  +2 -0      msnaccount.h  
 M  +9 -4      msnsocket.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=835489